#include "conversationmessagewidget.h"
#include "ui_conversationmessagewidget.h"
#include "../data/user.h"
#include "../data/conversationmessage.h"

ConversationMessageWidget::ConversationMessageWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ConversationMessageWidget)
{
    ui->setupUi(this);
}

ConversationMessageWidget::~ConversationMessageWidget()
{
    delete ui;
}

void ConversationMessageWidget::setMessage(const ConversationMessage &message, const User &user)
{
    ui->nameLabel->setText(user.displayName());
    ui->messageLabel->setText(message.message());
}
